[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#567182: gcc: Please add libgcc1-udeb for Debian Installer



On Thursday 28 January 2010, Matthias Klose wrote:
> On 27.01.2010 23:26, Frans Pop wrote:
> > On Wednesday 27 January 2010, Matthias Klose wrote:
> >>    - did you consider building the udeb from a separate source
> >>      package, build-depending on gcc-4.4-source?
> >
> > No, I had not considered that. It's an option that has both advantages
> > and disadvantages.
> >
> > The main disadvantage IIUC would be that we'd have to upload or binNMU
> > that separate package every time gcc gets uploaded (for source
> > compliance), which means it needs special tracking. I think for that
> > reason it's a solution the Release team is generally not all that
> > happy with.
>
> no, that's wrong. this is only required if the upstream tarball changes,
> and this is easily discovered by looking at the build dependencies.

Right. That reduces the problem a bit.
It would mean that migrations of gcc could be blocked until a new
"gcc-udeb" source package is uploaded. That would not be the case if the 
udebs are built from gcc.

I'm still not convinced that the (IMO minor) disadvantages of having a udeb 
in gcc are sufficient to treat gcc different from all other packages that 
provide udebs.

I would appreciate input from the Release team on this. Could someone 
please comment?
See http://bugs.debian.org/567182#10 and later for most relevant info.

Comments from others in the D-I team would also be welcome.

Cheers,
FJP



Reply to: